Page MenuHomeFreeBSD

Add set ToS test for ipfw and pf
ClosedPublic

Authored by ahsanb on Aug 17 2019, 2:31 PM.

Details

Summary

Add the set ToS test for ipfw and pf. This test tests the following:

  • The firewall is able to set the tos bits
  • The firewall is able to set the DSCP bits when EN bits is already set and the EN bits remains unchanged.
  • The firewall is able to drop the packets based on ToS value

Note: This diff must be applied after applying D21276

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

ahsanb created this revision.Aug 17 2019, 2:31 PM
ahsanb edited the summary of this revision. (Show Details)
thj added inline comments.Aug 18 2019, 6:05 PM
tests/sys/netpfil/common/tos.sh
64 ↗(On Diff #60943)

Can you wrap this comment and the two below so that there lines don't wrap? This one might be fine, but the one below is probably too long

ahsanb updated this revision to Diff 60972.Aug 18 2019, 6:17 PM
  • wrap the comments
This revision was not accepted when it landed; it landed in state Needs Review.Aug 20 2019, 2:31 PM
This revision was automatically updated to reflect the committed changes.